## org.apache.poi.ss.formula.functions
Class AggregateFunction

    java.lang.Object
      org.apache.poi.ss.formula.functions.MultiOperandNumericFunction
          org.apache.poi.ss.formula.functions.AggregateFunction

All Implemented Interfaces:
  Function

    public abstract class AggregateFunction

extends MultiOperandNumericFunction

Author:
  Amol S. Deshmukh < amolweb at ya hoo dot com >

Field Summary
`static Function` `AVEDEV`
`static Function` `AVERAGE`
`static Function` `DEVSQ`
`static Function` `LARGE`
`static Function` `MAX`
`static Function` `MEDIAN`
`static Function` `MIN`
`static Function` `PRODUCT`
`static Function` `SMALL`
`static Function` `STDEV`
`static Function` `SUM`
`static Function` `SUMSQ`
`static Function` `VAR`
`static Function` `VARP`

Constructor Summary
`protected` `AggregateFunction()`

Method Summary

Methods inherited from class org.apache.poi.ss.formula.functions.MultiOperandNumericFunction
`evaluate, evaluate, getMaxNumOperands, getNumberArray, isSubtotalCounted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AVEDEV

    public static final Function AVEDEV

### AVERAGE

    public static final Function AVERAGE

### DEVSQ

    public static final Function DEVSQ

### LARGE

    public static final Function LARGE

### MAX

    public static final Function MAX

### MEDIAN

    public static final Function MEDIAN

### MIN

    public static final Function MIN

### PRODUCT

    public static final Function PRODUCT

### SMALL

    public static final Function SMALL

### STDEV

    public static final Function STDEV

### SUM

    public static final Function SUM

### SUMSQ

    public static final Function SUMSQ

### VAR

    public static final Function VAR

### VARP

    public static final Function VARP

Constructor Detail

### AggregateFunction

    protected AggregateFunction()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.